Bug 137959 - [httx] hangs kde application
[httx] hangs kde application
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
Blocks: IIIMF 137149
  Show dependency treegraph
 
Reported: 2004-11-03 03:10 EST by Leon Ho
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: im-sdk-12.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 04:12:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Ho 2004-11-03 03:10:27 EST
Description of problem:
httx hangs kde application. kde application will be in init state indefinitely
until someone kills it.

Version-Release number of selected component (if applicable):
im-sdk-12.1-5

How reproducible:
everytime

Steps to Reproduce:
1. login into GNOME thru japanese
2. gnome-terminal
3. run kedit
  
Actual results:
watches it stays there

Expected results:
should show the application

Additional info:
killall httx; kedit works

Here is where it hangs:
#0  0xf6fe97a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xf6fac3d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x061d37de in KApplication::startKdeinit () from /usr/lib/libkdecore.so.4
#3  0x061d406b in KApplication::dcopFailure () from /usr/lib/libkdecore.so.4
#4  0x061e0c17 in KApplication::qt_invoke () from /usr/lib/libkdecore.so.4
#5  0x05cc0360 in QObject::activate_signal (this=0x9d3b2a0, clist=0x9d3ba40,
    o=0xfefba7b0) at qconnection.h:54
#6  0x05cc060e in QObject::activate_signal (this=0xfefba7d8, signal=4, param=
      {static null = {static null = <same as static member of an already seen
type>, d = 0x9ce60c0, static shared_null = 0x9ce60c0}, d = 0x9d3bec0, static
shared_null = 0x9ce60c0}) at kernel/qobject.cpp:2452
#7  0x0017c6b1 in DCOPClient::attachFailed () from /usr/lib/libDCOP.so.4
#8  0x001848c7 in DCOPClient::attachInternal () from /usr/lib/libDCOP.so.4
#9  0x00184537 in DCOPClient::registerAs () from /usr/lib/libDCOP.so.4
#10 0x061d2fc2 in KApplication::dcopAutoRegistration ()
   from /usr/lib/libkdecore.so.4
#11 0x061dcf9d in KApplication::init () from /usr/lib/libkdecore.so.4
#12 0x061df027 in KApplication::KApplication () from /usr/lib/libkdecore.so.4
#13 0x002f75b2 in kdemain () from /usr/lib/libkdeinit_kedit.so
#14 0x080485f2 in ?? ()
#15 0x00000001 in ?? ()
#16 0xfefbb3a4 in ?? ()
#17 0x080496d8 in ?? ()
Comment 1 Lawrence Lim 2004-11-03 03:22:02 EST
Tested with -4 and it is fine.

Test Case:
1) run LANG=ja_JP.UTF-8 kedit in g-t in the GNOME env
Comment 2 Jens Petersen 2004-11-03 06:19:03 EST
After disabling iiimxcf-fix-gcc-warnings.patch httx seems to work fine.
Comment 3 Warren Togami 2004-11-03 06:29:30 EST
/me wonders if it is possible to write an automated regression test
suite.  Would be great to find regressions like this quickly.
Comment 4 Akira TAGOH 2004-11-08 00:28:19 EST
should be fixed in 12.1-6
Comment 5 Warren Togami 2004-11-08 00:34:44 EST
I've seen -5 httx cause firefox to lockup very frequently.  Upgrading
to -6 fixes that too.

Should probably warn testers to kill httx and restart or the problem
wont go away.
Comment 6 Lawrence Lim 2004-11-11 04:12:31 EST
Confirmed fixed with im-sdk-12.1-6. I can now run kedit from g-t and
input with CannaLE. There is a lot of message on the g-t though,
should I file a bug on this?

Note You need to log in before you can comment on or make changes to this bug.